fuss-client - Segnalazione #253

Problema con fuss-client -a
05/12/2017 11:52 AM - Piergiorgio Cemin

Status: Chiuso Start date: 05/12/2017
Priority: Urgente Due date:

Assignee: Elena Grandi % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

Dando il comando fuss-client -a

ottengo questo errore (su due client)
Successivamente non accedo con utente pcemin
id pcemin su client da No such user

client client1 e client2 da berta.fussbox.blz

Errore alla fine:

TASK [homes : Remount /home] ******** i i

fatal: [localhost]: FAILED! => {"changed": true, "cmd": ["systemctl", "start", "home.mount"], "delta": "0:00:00.141333", "end":
"2017-05-12 11:15:35.057329", "failed": true, "rc": 1, "start": "2017-05-12 11:15:34.915996", "stderr": "Job for home.mount failed. See
'systemctl status home.mount' and 'journalctl -xn' for details.", "stdout": ™", "stdout_lines": [], "warnings": [1}

to retry, use: --limit @/usr/share/fuss-client/connect.retry

History

#1 - 05/12/2017 11:55 AM - Christopher R. Gabriel
- Project changed from Octofuss to fuss-client

- Assignee changed from Christopher R. Gabriel to Simone Piccardi

#2 - 05/12/2017 05:32 PM - Piergiorgio Cemin

- Status changed from Nuovo to Commenti

Sistemato il problema Idap: era dovuto al fatto che in /etc/hosts era finito I'indirizzo pubblico
80.22.104.69 berta.fuss.bz.it  berta

invece che

192.168.0.1 berta.fussbox.blz  berta

(sempre che questo vada bene)

Resta ancora il problema delle /home che non vengono montate.

Ecco l'errore.

Se provo il muont manuale ottengo

mount.nfs: access denied by server while mounting 192.168.0.1:/home

e in /var/log/syslog

May 12 17:27:26 client2 rpc.gssd®’®>: ERROR: No credentials found for connection to server 192.168.0.1

#3 - 05/12/2017 05:52 PM - Piergiorgio Cemin

Aggiungo output di systemctl status home.mount -|
root@client2:/var/home/piero# systemctl status home.mount -|

e home.mount - "Mount /home"
Loaded: loaded (/etc/systemd/system/home.mount; enabled)
Active: failed (Result: exit-code) since ven 2017-05-12 17:46:01 CEST; 2min 49s ago

Where: /home

What: 192.168.0.1:/home

Process: 5406 ExecMount=/bin/mount -n 192.168.0.1:/home /home -t nfs4 -0 defaults,rsize=8192,wsize=8192,noatime,sec=krb5 (code=exited,
status=32)

mag 12 17:46:01 client2 systemd": Mounting "Mount /home"...

mag 12 17:46:01 client2 systemd’: home.mount: Directory /home to mount over is not empty, mounting anyway.
mag 12 17:46:01 client2 mount®: mount.nfs4: access denied by server while mounting 192.168.0.1:/home
mag 12 17:46:01 client2 systemd': home.mount mount process exited, code=exited status=32

mag 12 17:46:01 client2 systemd': Failed to mount "Mount /home".

mag 12 17:46:01 client2 systemd': Unit home.mount entered failed state.

#4 - 05/15/2017 02:31 PM - Simone Piccardi

- Assignee changed from Simone Piccardi to Piergiorgio Cemin

Per capire il problema mi servono dei dettagli maggiori.

1) quale era il problema LDAP e su quale macchina. Un fuss server (nel caso berta) interroga sempre LDAP su localhost, quindi il cambio di
/etc/hosts non dovrebbe avere alcun effetto, e non mi quadra che abbia risolto qualcosa.

2) per capire gli eventuali errori nell'esecuzione del comando fuss-client serve la sessione completa con tutti i messaggi riportati, questa si ottiene in
maniera analoga come si fa con il fuss server, lanciando il comando in un terminale con la procedura illustrata in questa pagina
https://work.fuss.bz.it/projects/server/wiki/Bug_Reporting (lanciando perd fuss-client -a)

#5 - 05/16/2017 09:52 AM - Piergiorgio Cemin
- File typescript added

- Assignee changed from Piergiorgio Cemin to Simone Piccardi

Ecco il file con tutto 'output.

#6 - 05/24/2017 11:11 AM - Elena Grandi

- Assignee changed from Simone Piccardi to Elena Grandi

#7 - 05/24/2017 11:44 AM - Elena Grandi

- Assignee changed from Elena Grandi to Piergiorgio Cemin

Qui il problema ¢ stato quasi sicuramente nella configurazione di kerberos, che non & andata a buon fine.

Purtroppo nel typescript allegato si vede quella che sembra essere una run successiva, in cui la configurazione kerberos non viene ripetuta, e quindi
non si scopre quale sia stato I'errore.

Per far ripetere la configurazione di kerberos si puo cancellare, sul client, il file /etc/krb5.keytab e poi rilanciare fuss-client.

(non & una buona pratica in produzione, dato che lascia un po' di rimasugli sul server, ma in fase di test non fa comunque danni.)
#8 - 05/30/2017 10:20 AM - Piergiorgio Cemin
- Status changed from Commenti to Chiuso

- Assignee changed from Piergiorgio Cemin to Elena Grandi

Ho verificato e ora funzaiona. Chiudo il ticket
Grazie

Files

typescript 15 KB
